void HighLevelInteractionHandler(locatorMeasure measureOfLocator)
{
	if ( GEOM_pointInRect(measureOfLocator.position, menuBarExtent) {
			/* Find out which menu's header, if any, the user selected;
				 Then, pull down that menu's body */
		menuID = CorrelateMenuBar(measureOfLocator.position);
		if ( menuID > 0 ) {
			chosenItemIndex = PerformPulldownMenuInteraction(menuID);
			if ( chosenItemIndex > 0 ) 
				PerformActionChosenFromMenu(menuID, chosenItemIndex);
		}
	else		/* The user picked within the drawing area; detect what and respond */
	{
		objectID = CorrelateDrawingArea(measureOfLocator.position);
		if ( objectID > 0 ) ProcessObject(objectID);
	}
}
