/* This code fragment copies a menu-body image onto screen,
   at the screen position stored in the body's record */
   
/* Save the ID of the currently active canvas, which needn't be the screen */
saveCanvasID = SRGP_inquireActiveCanvas();

/* Save the screen canvas' clip-rectangle attribute value */
SRGP_useCanvas(SCREEN_CANVAS);
saveClipRectangle = SRGP_inquireClipRectangle();

/* temporarily set screen clip rectangle to allow writing to all of the screen */
SRGP_setClipRectangle(SCREEN_EXTENT);

/* Copy menu body from its canvas to its proper area below menu bar header */
SRGP_copyPixel(menuCanvasID, menuBodyExtent, menuBodyScreenExtent.lLeft);

/* Restore screen attributes and active canvas */
SRGP_setClipRectangle(saveClipRectangle);
SRGP_useCanvas(saveCanvasID);
